STATNEWS(1)

NAME
statnews - generate some useful statistics out of a newsgroup

SYNOPSIS
statnews [OPTIONS] NEWSGROUP

DESCRIPTION
The statnews command get some useful statistics out of a newsgroup. It displays things like how many articles each author posted, how many characters was written, how many lines were quoted, how many articles belong to each thread, the number of messages/characters per day, the average message length, and so on.

OPTIONS

--capitalize(*)
    Whether to capitalize the name of both the sender and the receiver of each message (default is "--capitalize": yes). This option is useful to collect "AUTHOR" together with "author", "Author", and "AuThor".

--dotted(*)
    Whether to translate "." to "/" in NEWSGROUP (default is "--nodotted": does translate). This option may be useful if your system stores each newsgroup in a dedicate directory (e.g., news.useless.group) instead that by hierarchy (e.g., news/useless/group), or if your system has a news archive stored this way.

--from=DATE
    Set the date statistics start from (DATE format is "dd/mm/yyyy", GMT).

--help
    Display the help summary.

--spooldir=SPOOLDIR
    Search NEWSGROUP in SPOOLDIR (default is /var/spool/news/articles/).

--to=DATE
    Set the date statistics end by (DATE format is "dd/mm/yyyy", GMT).

--width=WIDTH
    Set the terminal width to WIDTH columns (default is 80, with a minimum of 70).

Options may be conveniently abbreviated and prefixed by "-" instead of "--"; the "=" may be omitted or substituted with one or more blanks.

Options listed with (*) may be negated by adding the prefix "no" in front of them (e.g., "--dotted" => "--nodotted").

RETURN VALUE
The statnews command returns 0 on success and a positive integer on errors.

ENVIRONMENT
The environment variable STATNEWS can hold a set of default options for statnews.

These options are interpreted first by the program and can be overridden by explicit command line parameters. For example:

sh: "STATNEWS="--nocapital --width=132"; export STATNEWS"

csh:
    "setenv STATNEWS "--nocapital --width=132""

FILES
The default spool directory is /var/spool/news/articles/.

SEE ALSO
rn(1), readnews(1).

BUGS
There are no known bugs.

UNRESTRICTIONS
This program is copylefted. Refer to the GNU General Public License for conditions of use.

AUTHOR
This program has been written and is actively maintained by Davide Giovanni Maria Salvetti <salve@debian.org>.

HISTORY
This program was originally aimed for use with FidoNet style echo areas under Debian GNU/Linux. It can be successfully used with Usenet newsgroups as well. More precisely, it can be used with every message base that stores one message per file in some directory in traditional mbox format.